<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>hk.quantr.mxgraph.view Class Hierarchy (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="hk.quantr.mxgraph.view Class Hierarchy (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For Package hk.quantr.mxgraph.view</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxConnectionConstraint.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxConnectionConstraint</span></a></li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxEdgeStyle.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxEdgeStyle</span></a></li>
<li class="circle">hk.quantr.mxgraph.util.<a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util"><span class="typeNameLink">mxEventSource</span></a>
<ul>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxGraph</span></a></li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxGraphSelectionModel.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxGraphSelectionModel</span></a></li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxGraphView.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxGraphView</span></a></li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxLayoutManager.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxLayoutManager</span></a></li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxSwimlaneManager.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxSwimlaneManager</span></a></li>
</ul>
</li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxGraphSelectionModel.mxSelectionChange.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxGraphSelectionModel.mxSelectionChange</span></a> (implements hk.quantr.mxgraph.util.<a href="../util/mxUndoableEdit.mxUndoableChange.html" title="interface in hk.quantr.mxgraph.util">mxUndoableEdit.mxUndoableChange</a>)</li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxGraphView.mxCurrentRootChange.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxGraphView.mxCurrentRootChange</span></a> (implements hk.quantr.mxgraph.util.<a href="../util/mxUndoableEdit.mxUndoableChange.html" title="interface in hk.quantr.mxgraph.util">mxUndoableEdit.mxUndoableChange</a>)</li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxMultiplicity.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxMultiplicity</span></a></li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxPerimeter.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxPerimeter</span></a></li>
<li class="circle">hk.quantr.mxgraph.util.<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util"><span class="typeNameLink">mxPoint</span></a> (implements java.lang.Cloneable, java.io.Serializable)
<ul>
<li class="circle">hk.quantr.mxgraph.util.<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util"><span class="typeNameLink">mxRectangle</span></a>
<ul>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxCellState</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxStyleRegistry.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxStyleRegistry</span></a></li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxStylesheet.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxStylesheet</span></a></li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxTemporaryCellStates.html" title="class in hk.quantr.mxgraph.view"><span class="typeNameLink">mxTemporaryCellStates</span></a></li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view"><span class="typeNameLink">mxEdgeStyle.mxEdgeStyleFunction</span></a></li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxGraph.mxICellVisitor.html" title="interface in hk.quantr.mxgraph.view"><span class="typeNameLink">mxGraph.mxICellVisitor</span></a></li>
<li class="circle">hk.quantr.mxgraph.view.<a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view"><span class="typeNameLink">mxPerimeter.mxPerimeterFunction</span></a></li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
